<?php
############################################################################
#
# (c) 	Markus Wolf, 1998-2006  |  info@interaktiv.net
#       iAn interAKTIVnet GmbH  |  http://www.interaktiv.net
#       Tel. 07031-714740       |  Fax. 07031-714744
#
############################################################################
#
#  Diese Software ist das Eigentum der iAn interAKTIVnet GmbH und nach dem 
#  Urheberrecht geschtzt - es  handelt sich NICHT um Freeware. Jede Nutzung 
#  der Software ohne eine gltige Lizenzvereinbarung, wird zivil- und 
#  strafrechtlich verfolgt.
#
#  This Software is the property of iAn interAKTIVnet GmbH and is protected 
#  by copyright law - it is NOT Freeware. Any unauthorized use of this 
#  software without a valid license is a violation of the license agreement 
#  and will be prosecuted by civil and criminal law.
#
#  Dieses Script darf von jedermann kostenlos benutzt und gendert werden, 
#  solange dieser Copyright-Verweis, der Link bei der Ausgabe und die 
#  restlichen Kommentare erhalten  bleiben. Mit dem Einsatz dieses Skripts 
#  akzeptieren Sie, da die interAKTIVnet GmbH von jeglicher Haftung und 
#  Gewhrleistung hinsichtlich des Einsatzes befreit ist.
#
#  Weitere Infos : http://www.phpunity.de/php/scripts/
# 
#  Der Verkauf dieses Skripts, auch in modifizierter Form, ist ohne
#  vorherige Absprache ausdrcklich untersagt.
# 
#  Um dieses Skript ber das Internet oder irgendein anderes Medium
#  weiterzuverbreiten, bentigen Sie vorher meine Erlaubnis. In jeden Fall
#  mssen der Copyright-Verweis und die restlichen Kommentare erhalten 
#  bleiben.
#
############################################################################
#
#  PHPUNITY.DE : phpunity.postcard
#
############################################################################

############################################################################
# phpunity.postcard :: Konfiguration
############################################################################


// URL zum ePost-Script :: Pfad zum Script
// Geben Sie hier die vollstndige Internetadresse zu "phpunity-postcard.php" an.
// Dies ist wichtig, damit die Empfnger Ihre Postkarten abrufen knnen.

$epost_link = "http://www.ihre_domain.de/phpunity-postcard/phpunity-postcard.php";


// Geben Sie hier eine gltige eMail-Adresse als Absender von Ihnen an
// Bei manchen Providern ist hufig besonders wichtig, da diese eMail-
// Adresse auch bei diesem Provider gehostet wird (Spam-Schutz)

$email = "irgendwas@ihre_domain.de";


// Redirect :: Zielseite, welche nach der Versendung der Postkarte aufgerufen wird
// Sie whlen, ob eine Besttigungsseite ber die Versendung der Postkarte
// angezeigt wird, oder automatisch zu der Seite geleitet wird, von der aus
// eine Galerie aufgerufen wurde. Fr die automatische Weiterleitung zu einer
// Galerien-Seite ist Voraussetzung, da der Pfad der Ursprungsseite beim Aufruf
// der Galerie angegeben wurde (genaueres dazu finden Sie in der README.txt
// von phpunity.easygallery)

// 1 = Besttigunggsseite || 2 = zurck zur Galerien-Seite (ansonsten Besttigung)
$show_ok = 1;

// Ihre Internetadresse OHNE Slash "/" am Ende
$host_adr = "http://www.ihre_domain.de";


// Subject der eMail :: Dieser Text erscheint im Subject-Feld der eMail

$mail_subject = "Ein ePostkartengru wurde fr Sie erstellt...";


// Anzahl der Tage, die die Nachrichten auf dem Server bleiben sollen
// Nach Ablauf dieser Zeit werden sie gelscht

$store_time = 14;


// Logfile aktivieren?
// In diesem Logfile werden alle gemachten Angaben gespeichert (incl. IP-Adresse)
// 0 => Nein :: Es wird kein Logfile geschrieben
// 1 => Ja :: Empfehlungen werden in einer Datei gespeichert

$logact = 1;


// eMail an den Administrator (Inhalt der ePostkarte)
// 0 => Nein :: Es wird KEINE eMail verschickt
// 1 => Ja :: Es wird eine eMail verschickt
$admin_copy = 1;

// eMail-Adresse des Administrators
$admin_mail = "irgendwas@ihre_domain.de";


// IP-Sperre //
// Hier sollten Sie fr sich einen Mittelweg finden, der geeignet ist, Spammer zu
// blocken und gleichzeitig "faire" User nicht unntig einzuschrnken.
// Bedenken Sie dabei, da IP-Adressen bei der groen Mehrheit der User dynamisch
// vergeben werden und sich hufig ndern knnen.

// Anzahl der Postkarten, die ein User innerhalb der vorgegebenen Zeit
// versenden darf (Stk.)
$ip_count = 2;

// Zeit der Speicherung der IP-Adressen in Minuten (ein Tag hat 1440 Minuten ;-)
$ip_time = 10;


// Fehlermeldungen //
// Nachricht bei nicht vorhandener ePost

$no_epost = "<b>Leider ist die von Ihnen aufgerufene ePostkarte nicht vorhanden!!!</b><br><br>Entweder Sie haben eine falsche URL aufgerufen oder die Nachricht wurde nach der Aufbewahrungszeit von $store_time Tagen gelscht...";


// Nachricht, wenn das zulssige Limit der IP-Sperre berschritten wurde

$ip_limit = "<b>Sie haben das Limit fr das Versenden von Postkarten berschritten!!!</b><br><br>Bitte versuchen Sie es spter erneut...";


// Nachricht, wenn das Versenden der eMail FEHLGESCHLAGEN ist

$not_sent = "<b>Fehler beim Versenden der eMail!!!</b><br><br>Bitte gehen Sie <a href='javascript:history.back(-1)'>zurck</a> und versuchen es erneut...";



############################################################################
# Nachfolgende Anpassung ist nur notwenig, wenn Sie
# phpunity.easygallery mit phpunity.postcard zusammen verwenden
# und die beiden Ordner "phpunity-easygallery" und "phpunity-postcard" 
# NICHT im selben Verzeichnis liegen
############################################################################

// der Pfad zu dem Verzeichnis "phpunity-easygallery"
// das Kommentarzeichen # entfernen und Pfad aendern

#$gallery_path="http://www.domain.de/pfad_zum_ordner/phpunity-easygallery";



############################################################################
# END
############################################################################

?>
