<?php
############################################################################
#
# (c) 	Markus Wolf, 1998-2006  |  info@interaktiv.net
#       iAn interAKTIVnet GmbH  |  http://www.interaktiv.net
#       Tel. 07031-714740       |  Fax. 07031-714744
#
############################################################################
#
#  Diese Software ist das Eigentum der iAn interAKTIVnet GmbH und nach dem 
#  Urheberrecht geschtzt - es  handelt sich NICHT um Freeware. Jede Nutzung 
#  der Software ohne eine gltige Lizenzvereinbarung, wird zivil- und 
#  strafrechtlich verfolgt.
#
#  This Software is the property of iAn interAKTIVnet GmbH and is protected 
#  by copyright law - it is NOT Freeware. Any unauthorized use of this 
#  software without a valid license is a violation of the license agreement 
#  and will be prosecuted by civil and criminal law.
#
#  Dieses Script darf von jedermann kostenlos benutzt und gendert werden, 
#  solange dieser Copyright-Verweis, der Link bei der Ausgabe und die 
#  restlichen Kommentare erhalten  bleiben. Mit dem Einsatz dieses Skripts 
#  akzeptieren Sie, da die interAKTIVnet GmbH von jeglicher Haftung und 
#  Gewhrleistung hinsichtlich des Einsatzes befreit ist.
#
#  Weitere Infos : http://www.phpunity.de/php/scripts/
# 
#  Der Verkauf dieses Skripts, auch in modifizierter Form, ist ohne
#  vorherige Absprache ausdrcklich untersagt.
# 
#  Um dieses Skript ber das Internet oder irgendein anderes Medium
#  weiterzuverbreiten, bentigen Sie vorher meine Erlaubnis. In jeden Fall
#  mssen der Copyright-Verweis und die restlichen Kommentare erhalten 
#  bleiben.
#
############################################################################
#
#  PHPUNITY.DE : phpunity.postcard
#
############################################################################

############################################################################
# phpunity.postcard :: Init
############################################################################

include("./admin/config.inc.php");

$post_pic = strip_tags($_POST["post_pic"]);
$mail_from = strip_tags($_POST["mail_from"]);
$name_from = strip_tags($_POST["name_from"]);
$mail_to = strip_tags($_POST["mail_to"]);
$name_to = strip_tags($_POST["name_to"]);
$message = strip_tags($_POST["message"]);

$set = $_POST['set'];
$copy_self = $_POST['copy_self'];
$doit = $_POST['doit'];

$plgallery_nr = $_GET['plgallery_nr'];
$plgallery_img = $_GET['plgallery_img'];
$plgallery_epost = $_GET['plgallery_epost'];
$plgallery_from = $_GET['plgallery_from'];
$show_epost = $_GET['show_epost'];

$PHP_SELF = $_SERVER['PHP_SELF'];
$DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];

if (isset($plgallery_epost)) {
	
    $keep_url = "?".$_SERVER['QUERY_STRING'];

	if(isset($gallery_path)) {
		include("$gallery_path/admin/inc/config.inc.php");
	} else {
		include("../../phpunity-easygallery/admin/inc/config.inc.php");
	}
} 



############################################################################
# phpunity.postcard :: Programmablauf
############################################################################

if (!isset($show_epost)) {

	if ($set=="sendcard") {

		$message = stripslashes($message);

		// Template laden
		$mts  =  join('', file("./admin/tmpl/epost_main.htm"));

		// Anzahl der Mufelder ermitteln
		preg_match_all("=\<\!\-\-.(.*):.*\-\-\>=",$mts,$validates);
		$valcount = count($validates[1]);

		// Mufelder durchlaufen und Fehlermeldungen ausgeben
		for ( $i=0 ; $i<=$valcount ; $i++ ) {

			$check_type = explode("&",$validates[1][$i]);

			// Namen berprfen
			if ($check_type[0]=="name") {
				
				if (empty($$check_type[1])) {
			 
			 		$mts = preg_replace("=\<\!\-\-.name&$check_type[1]:.(.*)\|\|.*\-\-\>=","\\1",$mts);
			 		$valform = "error";
		
				} elseif(strlen($$check_type[1]) < 2) {
			    	
			    	$mts = preg_replace("=\<\!\-\-.name&$check_type[1]:.*\|\|(.*)\-\-\>=","\\1",$mts);
					$valform = "error";
				}
			}

			// eMail-Adressen berprfen
			if ($check_type[0]=="email") {   

				if (empty($$check_type[1])) {
		
					$mts = preg_replace("=\<\!\-\-.email&$check_type[1]:.(.*)\|\|.*\-\-\>=","\\1",$mts);
					$valform = "error";
				
				} elseif(!preg_match("/^[\,\#\!\%_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.){1,}[a-z]{2,4}$/i",$$check_type[1])) {
				
					$mts = preg_replace("=\<\!\-\-.email&$check_type[1]:.*\|\|(.*)\-\-\>=","\\1",$mts);
					$valform = "error";
				}
			}

			// Telefon-/Faxnummer berprfen (Ziffern, -, + und / sind gltig
			if ($check_type[0]=="tel") {
				
				if (empty($$check_type[1])) {
		
					$mts = preg_replace("=\<\!\-\-.tel&$check_type[1]:.(.*)\|\|.*\-\-\>=","\\1",$mts);
					$valform = "error";
		
				} elseif(!preg_match("=[\-\+\/0-9]+$=i",$$check_type[1])) {
			
					$mts = preg_replace("=\<\!\-\-.tel&$check_type[1]:.*\|\|(.*)\-\-\>=","\\1",$mts);
					$valform = "error";
				}
			}

			// Zahlen oder Betrge berprfen (Ziffern, . und , sind gltig)
			if ($check_type[0]=="num") {
				
				if (empty($$check_type[1])) {
					
					$mts = preg_replace("=\<\!\-\-.num&$check_type[1]:.(.*)\|\|.*\-\-\>=","\\1",$mts);
					$valform = "error";
		
				} elseif(!preg_match("=[\.\,\/0-9]+$=i",$$check_type[1])) {
			
					$mts = preg_replace("=\<\!\-\-.num&$check_type[1]:.*\|\|(.*)\-\-\>=","\\1",$mts);
					$valform = "error";
				}
			}

			// Prfung, ob beliebige Eingabe erfolgt ist
			if ($check_type[0]=="eing") {
				
				if (empty($$check_type[1])) {
					
		    		$mts = preg_replace("=\<\!\-\-.eing&$check_type[1]:.(.*).\-\-\>=","\\1",$mts);
					$valform = "error";
				}		
			}
		}

		if ( $valform == "error" ) {

			// Ersetzungen durchfhren
			$mts = preg_replace("=\[post_pic\]=","$post_pic",$mts);
			$mts = preg_replace("=\[name_from\]=","$name_from",$mts);
			$mts = preg_replace("=\[mail_from\]=","$mail_from",$mts);
			$mts = preg_replace("=\[name_to\]=","$name_to",$mts);
			$mts = preg_replace("=\[mail_to\]=","$mail_to",$mts);
			$mts = preg_replace("=\[message\]=","$message",$mts);
			$mts = preg_replace("=\<\!\-\-.*\-\-\>=","",$mts);

			// Kopie der Postkarte an sich selbst senden
			if ($copy_self=="checked") {
    			$mts = preg_replace("=\[copy_self\]=","<input type='checkbox' name='copy_self' value='checked' checked>",$mts);
			} else {
    			$mts = preg_replace("=\[copy_self\]=","<input type='checkbox' name='copy_self' value='checked'>",$mts);    
			}

			// Bild aus galerie anzeigen
			if (isset($plgallery_epost)) {

				if (isset($gallery_path)){
					$mts = preg_replace("=\[show_gal_image\]=","<img src='$gallery_path"."/images/$plgallery_nr/$plgallery_epost'>",$mts);
				} else {
					$mts = preg_replace("=\[show_gal_image\]=","<img src='../../phpunity-easygallery/images/$plgallery_nr/$plgallery_epost'>",$mts);
				}		

				$mts = preg_replace("=\[epost_images_start\].*\[epost_images_stop\]=siU", "&nbsp;", $mts);

			} else {
			
			    $mts = preg_replace("=\[show_gal_image\]=","",$mts);
				$mts = preg_replace("=\[epost_images_start\]=siU", "", $mts);
				$mts = preg_replace("=\[epost_images_stop\]=siU", "", $mts);
			}

			$mts = preg_replace("=\[epost_action\]=","$PHP_SELF$keep_url",$mts);

			// Link zur Galerien-Seite
			if (isset($plgallery_from)) {
  				$mts = preg_replace("=\[gallery_back_url\]=","<a href='$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img'>zurck zur Galerie</a>",$mts);
			} else {
    			$mts = preg_replace("=\[gallery_back_url\]=","",$mts);
			}

			// Formular bei Fehlern ausgeben
			echo $mts;
			
		} else {
		
			// Status fr weiteren Ablauf
    		$set = "sendmail_ok";
		}
	}



############################################################################
# phpunity.postcard :: Vorschau
############################################################################

	if ( $set == "sendmail_ok" ) {

		$mts = join('', file("./admin/tmpl/epost_preview.htm"));

		if (isset($plgallery_epost)) {
    
    		$mts = preg_replace("=\[show_post_pic\]=","$gallery_path"."images/$plgallery_nr/$plgallery_epost",$mts);
	
		} else {
    
    		$mts = preg_replace("=\[show_post_pic\]=","images/$post_pic",$mts);
		}

		$mts = preg_replace("=\[post_pic\]=","$post_pic",$mts);
		$mts = preg_replace("=\[name_from\]=","$name_from",$mts);
		$mts = preg_replace("=\[mail_from\]=","$mail_from",$mts);
		$mts = preg_replace("=\[name_to\]=","$name_to",$mts);
		$mts = preg_replace("=\[mail_to\]=","$mail_to",$mts);
		$message = htmlspecialchars($message);
		$message = preg_replace("=(\r\n)=", "<br>", $message);
		$mts = preg_replace("=\[message\]=","$message",$mts);

		// Kopie der Postkarte an sich selbst senden
		if ($copy_self=="checked") {
    		$mts = preg_replace("=\[copy_self_check\]=","checked",$mts);
		} else {
	    	$mts = preg_replace("=\[copy_self_check\]=","",$mts);    
		}
	
		$mts = preg_replace("=\[epost_action\]=","$PHP_SELF$keep_url",$mts);

		// Link zur Galerien-Seite
		if (isset($plgallery_from)) {
  			$mts = preg_replace("=\[gallery_back_url\]=","<a href='$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img'>zurck zur Galerie</a>",$mts);
		} else {
		    $mts = preg_replace("=\[gallery_back_url\]=","",$mts);
		}
	
		echo $mts;
	}



############################################################################
# phpunity.postcard :: Inhalt verarbeiten und schicken
############################################################################

	if ($doit=="sendepost") {

		// IP-Adresse des Senders ermitteln
		$senders_ip = $_SERVER['REMOTE_ADDR'];
	
		// IP-Adresse, Anzahl und Zeit prfen
		$ip_alarm = checkPostIp($senders_ip);

		// IP-Sperre greift
		if ($ip_alarm==1) {
	
			$error_tmpl = join('', file("./admin/tmpl/epost_error.htm"));
			$error_tmpl = preg_replace("=\[error_no_epost\]=","",$error_tmpl);
			$error_tmpl = preg_replace("=\[error_ip\]=","$ip_limit",$error_tmpl);
			$error_tmpl = preg_replace("=\[error_not_sent\]=","",$error_tmpl);

			// Link zur Galerien-Seite
			if (isset($plgallery_from)) {
	  			$error_tmpl = preg_replace("=\[gallery_back_url\]=","<a href='$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img'>zurck zur Galerie</a>",$error_tmpl);
			} else {
	    		$error_tmpl = preg_replace("=\[gallery_back_url\]=","",$error_tmpl);
			}
	
			echo $error_tmpl ;
			exit ;
	
		} else {
	
			// zufallsnummer erzeugen
			$dat_pref = md5(uniqid(rand()));
			$dat_pref = preg_replace("=[a-zA-Z]=","",$dat_pref);
	
			// prfen ob datfile vorhanden
			while (file_exists("./admin/data/$dat_pref.dat")) {
		
				$dat_pref = md5(uniqid(rand()));
				$dat_pref = preg_replace("=[a-zA-Z]=","",$dat_pref);

				if (!file_exists("./admin/data/$dat_pref.dat")) {
				
			    	break ;
				}
			}

			// Bildernamen aus Galerie fr data vorbereiten
			if (isset($plgallery_epost)) {
    
    			$post_pic = "[==".$plgallery_nr."==]".$plgallery_epost;
			}

			// datfile erzeugen und daten schreiben
			$fp = fopen("./admin/data/$dat_pref.dat","w+");
	
			$message = $_POST['message'];
			$message = stripslashes($message);
	
			$dat_cont = "$post_pic|$message|$name_from|$mail_from|$name_to|$mail_to";
			fwrite($fp, $dat_cont);
			fclose($fp);

	
			###
			#eMail verschicken

			$mailto = $mail_to;
			$subject	 = $mail_subject;

			// eMail Template laden
			$mail_tmpl  =  join('', file("./admin/tmpl/epost_email.txt"));

			// Ersetzungen durchfhren
			$mts = preg_replace("=\[name_from\]=","$name_from",$mail_tmpl);
			$mts = preg_replace("=\[name_to\]=","$name_to",$mts);
			$mts = preg_replace("=\[epost_link\]=","$epost_link?show_epost=$dat_pref",$mts);
	
			if ($admin_copy==1) {
	
				$header = "From: $email\n";
				$header .= "Bcc: $admin_mail";
				
				// Kopie an Versender schicken
				if ($copy_self=="checked") {
				
					$header .= ", $mail_from";
				}
		
			} else {
    
    			$header="From: $email\n";
			
				// Kopie an Versender schicken
				if ($copy_self=="checked") {
			
					$header .= "Bcc: $mail_from";
				}
			}

			// eMail verschicken
			@mail($mailto,$subject,$mts,$header);

			$ok=1 ;
			if ($ok) { 
			
				// Weiterleitung zur Galerien-Seite (alternativ auf Besttigungsseite)
				if (($show_ok==2) && isset($plgallery_from)) {
				
    				$redirect = "/$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img";
					$redirect_to = "$host_adr"."$redirect";
					Header("Location: ".$redirect_to);

				} else {
    			
	    			$show_ok = 1;
				}

				// Weiterleitung auf Besttigungsseite
				if ($show_ok==1) {
				
    				$epok  =  join('', file("./admin/tmpl/epost_ok.htm"));

					// Ersetzungen durchfhren
					$epok = preg_replace("=\[name_to\]=","$name_to",$epok);
					$epok = preg_replace("=\[store_time\]=","$store_time",$epok);
	
					// Back-Link zu den Galerien
					if (isset($plgallery_from)) {
						$epok = preg_replace("=\[gallery_back_url\]=","<a href='$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img'>zurck zur Galerie</a>",$epok);
					} else {
						$epok = preg_replace("=\[gallery_back_url\]=","",$epok);
					}
				
					$not_start=1;
					echo $epok;
				}
		
			} else {
		
				// Wenn eMail nicht verschickt wurde
				$error_tmpl = join('', file("./admin/tmpl/epost_error.htm"));
				$error_tmpl = preg_replace("=\[error_no_epost\]=","",$error_tmpl);
				$error_tmpl = preg_replace("=\[error_ip\]=","",$error_tmpl);
				$error_tmpl = preg_replace("=\[error_not_sent\]=","$not_sent",$error_tmpl);

				if (isset($plgallery_from)) {
					$error_tmpl = preg_replace("=\[gallery_back_url\]=","<a href='$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img'>zurck zur Galerie</a>",$error_tmpl);
				} else {
					$error_tmpl = preg_replace("=\[gallery_back_url\]=","",$error_tmpl);
				}

				echo $error_tmpl ;
				exit ;
			}

			del_datfile() ;
		}	
	}



############################################################################
# phpunity.postcard :: Logfiles erstellen
############################################################################

	if ( !isset($show_epost) && $doit=="sendepost" ) {

		// Anzahl der Nachrichten zhlen
		$countepost = "./admin/log/countepost.txt";

		// berprfung, ob es bereits eine "countepost.txt" gibt
		// Wenn nicht, wird sie angelegt und mit dem Wert 1 versehen
		if (!file_exists($countepost)) {
    
    		$zahldatei = fopen($countepost,"w+");
			$zahl = 1;
			fwrite($zahldatei,$zahl);
			fclose($zahldatei);

		} else {
	
			// Zahl im Counter wird um 1 erhht und in die Datei geschrieben
		    $nummer = file($countepost);
			$nummer_neu = $nummer[0];
			$zahldatei = fopen($countepost,"r+");
			$nummer_neu++;
			fwrite($zahldatei,$nummer_neu);
			fclose($zahldatei);
		}
	
		// Logfile
		if ($logact==1) {
	
			$message = preg_replace("=(\r\n)="," ",$message);
			$logcontent = "$post_pic|$name_from|$mail_from|$name_to|$mail_to|$message|$senders_ip\n";
			$logfile = "./admin/log/logepost.txt";
	
			// berprfung, ob es bereits eine "logepost.txt" gibt
			// Wenn nicht, wird sie angelegt und die erste Zeile wird geschrieben
			if ( !file_exists($logfile) ) {
	    
    			$logdat = fopen($logfile,"w+");
				fwrite($logdat,$logcontent);
				fclose($logdat);
	
			} else {
    
    			$logdat = fopen($logfile,"a");
				fwrite($logdat,$logcontent);
				fclose($logdat);
			}
		}
	}
}



############################################################################
# phpunity.postcard :: Seite erstmalig anzeigen
############################################################################

if(!isset($set) && !isset($show_epost) && !isset($not_start)){

	$mts  =  join('', file("./admin/tmpl/epost_main.htm"));

	// Ersetzungen durchfhren
	$mts = preg_replace("=\[name_from\]=","",$mts);
	$mts = preg_replace("=\[mail_from\]=","",$mts);
	$mts = preg_replace("=\[name_to\]=","",$mts);
	$mts = preg_replace("=\[mail_to\]=","",$mts);
	$mts = preg_replace("=\[message\]=","",$mts);
	$mts = preg_replace("=\[copy_self\]=","<input type='checkbox' name='copy_self' value='checked'>",$mts);
	$mts = preg_replace("=\<\!\-\-.*\-\-\>=","",$mts);

	// Bild aus galerie anzeigen
	if (isset($plgallery_epost)) {
    
    	$mts = preg_replace("=\[show_gal_image\]=","<img src='$gallery_path"."images/$plgallery_nr/$plgallery_epost'>",$mts);
		$mts = preg_replace("=\[epost_images_start\].*\[epost_images_stop\]=siU", "&nbsp;", $mts);

	} else {

	    $mts = preg_replace("=\[show_gal_image\]=","",$mts);
		$mts = preg_replace("=\[epost_images_start\]=siU", "", $mts);
		$mts = preg_replace("=\[epost_images_stop\]=siU", "", $mts);
	}

	$mts = preg_replace("=\[epost_action\]=","$PHP_SELF$keep_url",$mts);

	// Back-Link zu den Galerien
	if (isset($plgallery_from)) {
  		$mts = preg_replace("=\[gallery_back_url\]=","<a href='$plgallery_from?plgallery_nr=$plgallery_nr&plgallery_img=$plgallery_img'>zurck zur Galerie</a>",$mts);
	} else {
	    $mts = preg_replace("=\[gallery_back_url\]=","",$mts);
	}

	echo $mts ;
}



############################################################################
# phpunity.postcard :: Postkarte anzeigen
############################################################################

if (isset($show_epost)) {

	if (file_exists("./admin/data/$show_epost.dat")) {

		// epost anzeigen
		$fp = file("./admin/data/$show_epost.dat");
		$ketten = explode ("|",$fp[0]);

		// Template laden
		$tmpl  =  join('', file("./admin/tmpl/epost_show.htm"));

		// Ersetzen
		$epost_cont = preg_replace("=\[name_from\]=","$ketten[2]",$tmpl);
		$epost_cont = preg_replace("=\[mail_from\]=","$ketten[3]",$epost_cont);
		$epost_cont = preg_replace("=\[name_to\]=","$ketten[4]",$epost_cont);
		$epost_cont = preg_replace("=\[mail_to\]=","$ketten[5]",$epost_cont);
		$epost_cont = preg_replace("=\[epost_message\]=","$ketten[1]",$epost_cont);

		// Prfen, von welcher Stelle das Bilg angezeigt werden soll
		if (preg_match_all("=\[\=\=(.*)\=\=\](.*)=", $ketten[0], $img_part)) {
			
			$gal_folder = $img_part[1][0];
			$gal_image = $img_part[2][0];
			$epost_cont = preg_replace("=\[epost_image\]=","$gallery_path/images/$gal_folder/$gal_image",$epost_cont);

		} else {
		
    		$epost_cont = preg_replace("=\[epost_image\]=","images/$ketten[0]",$epost_cont);
		}

		// Seite anzeigen
		echo $epost_cont;

	} else {
	
		// Fehler ausgeben
		$error_tmpl = join('', file("./admin/tmpl/epost_error.htm"));
		$error_tmpl = preg_replace("=\[error_no_epost\]=","$no_epost",$error_tmpl);
		$error_tmpl = preg_replace("=\[error_ip\]=","",$error_tmpl);
		$error_tmpl = preg_replace("=\[error_not_sent\]=","",$error_tmpl);
	    $error_tmpl = preg_replace("=\[gallery_back_url\]=","",$error_tmpl);

		echo $error_tmpl;
	}

	del_datfile() ;
}



############################################################################
# phpunity.postcard :: Lschen alter Nachrichten
############################################################################

function del_datfile() {


global $store_time;    
$path = "./admin/data";
$folder = opendir("$path");


###
#Verzeichnis durchsuchen

while ($datfile = readdir($folder)) {

    if (preg_match("=\.dat=",$datfile)) {

		$dat_date = date("U",filectime("$path/$datfile"));
		$now_date = date("U");
		$keep_time = 60*60*24*$store_time;
		$dif_time = $now_date - $keep_time;

		if ($dat_date < $dif_time) {
			
		    unlink("$path/$datfile");
		}
	}
}

closedir($folder);


} 




############################################################################
# phpunity.postcard :: IP-Adresse checken
############################################################################

function checkPostIp($senders_ip) {


global $ip_time, $ip_count;    
$ip_dat = "./admin/data/ip/$senders_ip";
$ip_folder = opendir("./admin/data/ip");
$now_date = date("U");


###
#alte ip-files lschen

while ($datfile = readdir($ip_folder)) {

    if (preg_match("=.*=", $datfile)) {

		$dat_date = date("U", filectime("./admin/data/ip/$datfile"));
		$keep_time = 60*$ip_time;
		$dif_time = $now_date - $keep_time;

		if ($dat_date < $dif_time) {

		    @unlink("./admin/data/ip/$datfile");
		}
	}
}

closedir($ip_folder);


###
#Counter hochzhlen

if (file_exists("$ip_dat")) {

    $ip_anz = file($ip_dat);
	$ip_anz_neu = $ip_anz[0];

	if ($ip_anz_neu==($ip_count-1)) {

		$ip_alarm = 1;

	} else {
	
	    $ip_datei = fopen($ip_dat,"r+");
		$ip_anz_neu++;
		fwrite($ip_datei,$ip_anz_neu);
		fclose($ip_datei);
	}
}


###
#Counter anlegen, falls nicht vorhanden

if (!file_exists("$ip_dat")) {

   	$ip_file = fopen("$ip_dat","w+");
	fclose ($ip_file); 
}


###
#Rckgabe Status

return ($ip_alarm) ;


} 



############################################################################
# END
############################################################################

?>
